/* $Id: config.h,v 1.29 2008-03-21 18:12:04 chris Exp $ */
/* config header for SEGA Dreamcast port using Kallistios (http://cadcdev.sourceforge.net) */

#ifndef CONFIG_H
#define CONFIG_H

/* #define DEFAULT_CFG_NAME "/vmu/a1/atari800.cfg" */
#ifdef ROMDISK
#  define SYSTEM_WIDE_CFG_FILE "/rd/atari800.cfg"
#else
#  define SYSTEM_WIDE_CFG_FILE "/cd/atari800.cfg"
#endif

#define SIGNED_SAMPLES
#define DIRTYRECT
#define KB_UI
/*#define SPEED_CHECK*/
/*#define HZ_TEST*/

/* Define to empty if the keyword does not work.  */
/* #undef const */

#define HAVE_TMPFILE 1

/* Define if you don't have vprintf but do have _doprnt.  */
#undef HAVE_DOPRNT

#define HAVE_CLOCK 1

/* Define to 1 if you have the `usleep' function. */
#define HAVE_USLEEP 1

/* Define if you have the vprintf function.  */
#define HAVE_VPRINTF

/* Define as the return type of signal handlers (int or void).  */
#undef RETSIGTYPE

/* Define if you have the ANSI C header files.  */
#undef STDC_HEADERS

/* Define if you can safely include both <sys/time.h> and <time.h>.  */
#undef TIME_WITH_SYS_TIME

/* Define if your <sys/time.h> declares struct tm.  */
#undef TM_IN_SYS_TIME

/* Define if your processor stores words with the most significant
   byte first (like Motorola and SPARC, unlike Intel and VAX).  */
#undef WORDS_BIGENDIAN

/* The number of bytes in a long.  */
#define SIZEOF_LONG 4

/* Define if you have the getcwd function.  */
#define HAVE_GETCWD

/* Define if you have the gettimeofday function.  */
#undef HAVE_GETTIMEOFDAY

/* Define if you have the select function.  */
#undef HAVE_SELECT

/* Define if you have the strdup function.  */
#define HAVE_STRDUP

/* Define if you have the strerror function.  */
#undef HAVE_STRERROR

/* Define if you have the strstr function.  */
#define HAVE_STRSTR

/* Define if you have the strtol function.  */
#define HAVE_STRTOL

/* Define if you have the <dirent.h> header file.  */
#define HAVE_DIRENT_H

/* Define if you have the <fcntl.h> header file.  */
#undef HAVE_FCNTL_H

/* Define if you have the <ndir.h> header file.  */
#undef HAVE_NDIR_H

/* Define if you have the <strings.h> header file.  */
#undef HAVE_STRINGS_H

/* Define if you have the <sys/dir.h> header file.  */
#undef HAVE_SYS_DIR_H

/* Define if you have the <sys/ioctl.h> header file.  */
#undef HAVE_SYS_IOCTL_H

/* Define if you have the <sys/ndir.h> header file.  */
#undef HAVE_SYS_NDIR_H

/* Define if you have the <sys/time.h> header file.  */
#undef HAVE_SYS_TIME_H

/* Define if you have the <unistd.h> header file.  */
#undef HAVE_UNISTD_H

/* Define if you have the X11 library (-lX11).  */
#undef HAVE_LIBX11

/* Define if you have the Xext library (-lXext).  */
#undef HAVE_LIBXEXT

/* Define if you have the Xm library (-lXm).  */
#undef HAVE_LIBXM

/* Define if you have the Xt library (-lXt).  */
#undef HAVE_LIBXT

/* Define if you have the curses library (-lcurses).  */
#undef HAVE_LIBCURSES

/* Define if you have the ddraw library (-lddraw).  */
#undef HAVE_LIBDDRAW

/* Define if you have the dinput library (-ldinput).  */
#undef HAVE_LIBDINPUT

/* Define if you have the dsound library (-ldsound).  */
#undef HAVE_LIBDSOUND

/* Define if you have the dxguid library (-ldxguid).  */
#undef HAVE_LIBDXGUID

/* Define if you have the gdi32 library (-lgdi32).  */
#undef HAVE_LIBGDI32

/* Define if you have the gen library (-lgen).  */
#undef HAVE_LIBGEN

/* Define if you have the m library (-lm).  */
#undef HAVE_LIBM

/* Define if you have the ncurses library (-lncurses).  */
#undef HAVE_LIBNCURSES

/* Define if you have the olgx library (-lolgx).  */
#undef HAVE_LIBOLGX

/* Define if you have the socket library (-lsocket).  */
#undef HAVE_LIBSOCKET

/* Define if you have the vga library (-lvga).  */
#undef HAVE_LIBVGA

/* Define if you have the winmm library (-lwinmm).  */
#undef HAVE_LIBWINMM

/* Define if you have the xview library (-lxview).  */
#undef HAVE_LIBXVIEW

/* Define if you have the z library (-lz).  */
#define HAVE_LIBZ

#undef BASIC

#undef CURSES

#undef NCURSES

#undef WIN32

#undef DIRECTX

#undef X11

#undef XVIEW

#undef MOTIF

#undef SHM

#define DREAMCAST 1

/* dos vga support */
#undef VGA

/* define to enable dos style drives support */
#undef DOS_DRIVES

/* define to use back slash */
#undef BACK_SLASH

/* Define if unaligned word access is ok. */
#undef WORDS_UNALIGNED_OK

/* Is your computer very slow (disables generating screen completely) */
#undef VERY_SLOW

/*  Show crash menu after CIM instruction */
#define CRASH_MENU

/* Enable BREAK command in monitor (slows CPU a little bit) */
#undef MONITOR_BREAK

/* Enable hints in disassembler (addresses get human readable labels) */
#undef MONITOR_HINTS

/* Enable assembler in monitor (you can enter ASM insns directly) */
#undef MONITOR_ASSEMBLER

/* Compile internal palettes */
#define COMPILED_PALETTE

/* Enable Snailmeter (shows how much is the emulator slower than original) */
#undef SNAILMETER

/* Draw every 1/50 sec only 1/refresh of screen */
#undef SVGA_SPEEDUP

/* Use cursor keys/Ctrl for keyboard joystick */
#undef USE_CURSORBLOCK

/* Support for Toshiba Joystick Mouse (Linux SVGALIB Only) */
#undef JOYMOUSE

/* Run atari800 as Linux realtime process */
#undef REALTIME

/* Enable LINUX Joystick */
#undef LINUX_JOYSTICK

/* define to enable sound - always enabled on DC port */
#define SOUND

#define VOL_ONLY_SOUND

#define CONSOLE_SOUND

/* define to enable serial in/out sound */
#undef SERIO_SOUND

#define INTERPOLATE_SOUND

/* define to enable sound clipping */
#undef CLIP

/* define to enable stereo sound */
#undef STEREO

/* Buffer debug output (until the graphics mode switches back to text mode) */
#undef BUFFERED_LOG

/* Emulate disk LED diode */
#undef SET_LED

/* Display LED on screen */
#define NO_LED_ON_SCREEN

/* This one is particularly ugly */
#define NO_GOTO

#define HAVE_OPENDIR

#ifndef ASSEMBLER  /* don't include the following part in assember source files */
extern void DCStateSave(void);
extern void DCStateRead(void);
#endif /* #ifndef ASSEMBLER */

#endif /* #ifndef CONFIG_H */
